Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Typedefs | Functions
os2.c File Reference
`#include "ruby.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <fcntl.h>`
`#include <process.h>`
`#include <limits.h>`
`#include <errno.h>`
`#include <os2.h>`
Include dependency graph for os2.c:

Go to the source code of this file.

## Macros
#define | INCL_DOS

## Typedefs
typedef char * | CHARP

## Functions
int | chown (char *path, int owner, int group)
int | do_spawn (char *cmd)

## Macro Definition Documentation

#define INCL_DOS

Definition at line 11 of file os2.c.

## Typedef Documentation

typedef char* CHARP

Definition at line 51 of file os2.c.

## Function Documentation

int chown | ( | char * | path,
|  | int | owner,
|  | int | group
| ) |  |

Definition at line 15 of file os2.c.

int do_spawn | ( | char * | cmd) |  |

Definition at line 54 of file os2.c.

References ALLOC_N, argv, free(), getenv(), NULL, strlen(), and strstr().